<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Домашнее задание №2(Cвои методы)</title>
</head>
<body>
<script>
function Rectangle (x,y,z,p,l,f,j,i,t,h,u) {
this.age1 = x;
this.age2 = y;
this.age3 = z;
this.age4 = p;
this.age5 = l;
this.age6 = f;
this.age7 = j;
this.age8 = i;
this.age9 = t;
this.age10 = h;
this.age11 = u;
}
Rectangle.prototype.getArea1 = function(){return this.age1*this.age2*this.age3*this.age4*this.age5*this.age6*this.age7*this.age8*this.age9*this.age10*this.age11;};
Rectangle.prototype.getArea2 = function(){return (this.age1-this.age2)-(this.age3-this.age4)-(this.age5-this.age6)-(this.age7-this.age8)-(this.age9-this.age10)*this.age11;};
Rectangle.prototype.getArea3 = function(){return (this.age1-this.age2)+(this.age3-this.age4)+(this.age5-this.age6)+(this.age7-this.age8)+(this.age9-this.age10)*this.age11;};
Rectangle.prototype.getArea4 = function(){return (this.age1-this.age2)*(this.age3-this.age4)*(this.age5-this.age6)*(this.age7-this.age8)*(this.age9-this.age10)*this.age11;};
Rectangle.prototype.getArea5 = function(){return (this.age1-this.age2)/(this.age3-this.age4)/(this.age5-this.age6)/(this.age7-this.age8)/(this.age9-this.age10)*this.age11;};
Rectangle.prototype.getArea6 = function(){return (this.age1+this.age2)-(this.age3+this.age4)-(this.age5+this.age6)-(this.age7+this.age8)-(this.age9+this.age10)*this.age11;};
Rectangle.prototype.getArea7 = function(){return (this.age1+this.age2)+(this.age3+this.age4)+(this.age5+this.age6)+(this.age7+this.age8)+(this.age9+this.age10)*this.age11;};
Rectangle.prototype.getArea8 = function(){return (this.age1+this.age2)*(this.age3+this.age4)*(this.age5+this.age6)*(this.age7+this.age8)*(this.age9+this.age10)*this.age11;};
Rectangle.prototype.getArea9 = function(){return (this.age1+this.age2)/(this.age3+this.age4)/(this.age5+this.age6)/(this.age7+this.age8)/(this.age9+this.age10)*this.age11;};
Rectangle.prototype.getArea10 = function(){return (this.age1*this.age2)/(this.age3*this.age4)/(this.age5*this.age6)/(this.age7*this.age8)/(this.age9*this.age10)*this.age11;};

Rectangle.prototype.name = 'Earth';
var rect1 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect1.getArea1()+"<br/>");
var rect2 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect2.getArea2()+"<br/>");
var rect3 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect3.getArea3()+"<br/>");
var rect4 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect4.getArea4()+"<br/>");
var rect5 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect5.getArea5()+"<br/>");
var rect6 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect6.getArea6()+"<br/>");
var rect7 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect7.getArea7()+"<br/>");
var rect8 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect8.getArea8()+"<br/>");
var rect9 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect9.getArea9()+"<br/>");
var rect10 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect10.getArea10()+"<br/>");
/*
Здесь использованы свои методы.
*/
</script>
</body>
</html>